/* GCompris - Data.qml
 *
 * SPDX-FileCopyrightText: 2019 Shubham Mishra <shivam828787@gmail.com>
 * SPDX-FileCopyrightText: 2020 Deepak Kumar <deepakdk2431@gmail.com>
 *
 * Authors:
 *   Shubham Mishra <shivam828787@gmail.com>
 *   Deepak Kumar <deepakdk2431@gmail.com>
 *
 *   SPDX-License-Identifier: GPL-3.0-or-later
 */
import GCompris 1.0

Data {
    objective: qsTr("Large grids (7×7).")
    difficulty: 5
    data: [

        { // A
            "columns": 7,
            "image":
                [
                0,0,2,2,1,0,1,
                2,0,0,2,3,0,1,
                0,1,1,0,2,0,2,
                2,0,0,2,3,4,1,
                2,0,2,0,4,3,1,
                1,1,0,2,0,3,3,
                2,0,2,2,4,3,1

            ]
        },
        { // B
            "columns": 7,
            "image":
                [
                2,2,2,2,1,1,1,
                2,0,0,2,3,0,1,
                2,1,1,0,1,0,2,
                2,0,0,2,3,4,1,
                2,2,2,2,4,3,1,
                2,2,2,2,4,3,1,
                2,2,2,2,4,3,1
            ]
        },
        { // C
            "columns": 7,
            "image":
                [
                1,3,0,2,1,2,4,
                2,0,0,2,3,0,1,
                2,1,3,0,1,0,2,
                3,0,0,2,3,4,1,
                4,3,3,2,4,3,2,
                2,2,0,2,2,3,1,
                1,2,0,2,4,3,4
            ]
        },
        { // D
            "columns": 7,
            "image":
                [
                1,2,3,2,4,1,2,
                2,0,0,2,3,0,1,
                2,1,1,0,1,0,2,
                4,0,0,2,3,4,1,
                2,1,3,2,4,3,1,
                1,3,2,1,2,2,0,
                4,2,3,2,4,3,1
            ]
        },
        { // E
            "columns": 7,
            "image":
                [
                0,1,2,4,1,2,0,
                2,0,0,2,3,0,1,
                3,0,1,0,1,0,3,
                2,0,0,2,3,4,1,
                0,1,2,2,4,3,2,
                2,3,2,1,4,3,1,
                2,3,2,2,4,3,1
            ]
        },
        { // F
            "columns": 7,
            "image":
                [
                2,2,0,2,3,1,4,
                1,0,0,2,3,0,1,
                2,1,1,0,1,0,2,
                3,0,0,2,3,4,3,
                2,2,2,2,4,3,1,
                4,2,1,0,0,2,1,
                0,2,3,2,4,3,0
            ]
        },
        { // G
            "columns": 7,
            "image":
                [
                0,2,3,0,3,2,0,
                1,5,0,1,0,1,1,
                1,0,5,1,1,0,1,
                1,5,0,1,0,1,1,
                0,3,2,0,2,3,0,
                1,2,0,1,0,5,1,
                0,3,2,0,2,3,0
            ]
        },
        { // H
            "columns": 7,
            "image":
                [
                6,2,3,4,3,2,0,
                1,5,0,1,0,1,1,
                2,0,0,1,1,0,3,
                1,5,0,1,0,1,1,
                0,3,2,0,2,3,0,
                1,2,0,6,0,5,1,
                0,3,2,0,2,3,6
            ]
        },
        { // I
            "columns": 7,
            "image":
                [
                6,2,3,0,3,2,0,
                1,5,0,1,0,1,1,
                1,0,5,1,1,0,6,
                1,5,0,1,0,1,1,
                0,3,2,0,2,3,0,
                1,2,0,1,0,5,1,
                0,3,2,0,2,3,6
            ]
        }

    ]
}
